Instagram Platform

IG User Content Publishing Limit

Updated: Jul 23, 2024
Copy for LLM
Represents an IG User’s current content publishing usage.

Requirements

Instagram API with Instagram Login Instagram API with Facebook Login
Access Tokens
  • Instagram User user access token
Host URL
graph.instagram.com
graph.facebook.com
Login Type
Business Login for Instagram
Facebook Login for Business
  • instagram_business_basic
  • instagram_business_content_publish
  • instagram_basic
  • instagram_content_publish
  • pages_read_engagement
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:
  • ads_management
  • ads_read

Creating

This operation is not supported.

Reading

GET /<IG_USER_ID>/content_publishing_limit
Get the number of times an IG User has published and IG Container within a given time period. Refer to the Content Publishing guide for complete publishing steps.

Request Syntax

GET https://graph.facebook.com/<API_VERSION>/<IG_USER_ID>/content_publishing_limit
  ?fields=<LIST_OF_FIELDS>
  &since=<UNIX_TIMESTAMP>
  &access_token=<ACCESS_TOKEN>

Query String Parameters

Placeholder Value Description
<ACCESS_TOKEN>
Required
String
The app user’s User Access Token.
<LIST_OF_FIELDS>
Comma-separated list
A comma-separated list of fields you want returned. If omitted, the quota_usage field will be returned by default.
<UNIX_TIMESTAMP>
Unix timestamp
A Unix timestamp no older than 24 hours.

Fields

Field Value Description
config
Object
Returns these values:
  • quota_total — The maximum number of IG Containers the app user can publish within the quota_duration time period (currently 50).
  • quota_duration — The period of time in seconds against which the quota_total is calculated (currently 86400 seconds, or 24 hours).
quota_usage
Comma-separated list
The number of times the app user has published an IG Container since the time specified in the since query string parameter. If the since parameter is omitted, this value will be the number of times the app user has published a container within the last 24 hours. This field is returned by default if the fields query string parameter is omitted from the query.

Example Request

curl -X GET \
  'https://graph.facebook.com/v26.0/17841405822304914/content_publishing_limit?fields=quota_usage,rate_limit_settings&since=1609969714&access_token=IGQVJ...'

Example Response

{
  "data": [
    {
      "quota_usage": 2,
      "config": {
        "quota_total": 50,
        "quota_duration": 86400
      }
    }
  ]
}

Updating

This operation is not supported.

Deleting

This operation is not supported.